Subject: Re: [Curdle] AD Review of draft-ietf-curdle-gss-keyex-sha2-05

From: Simo Sorce <[email-masked]>
Date: Mon, 02 Jul 2018 11:54:06 -0400

Hi Eric,
I posted a new draft with extensive modification to Section 5,
hopefully they meet your requests.

nothing has changed of the described protocol itself, just stuff got
shuffled around and I also provided a little artwork consistent with
RFC 5656 to hopefully aid at better understanding of the flow.

HTH,
Simo.

On Wed, 2018-05-30 at 06:24 -0700, Eric Rescorla wrote:
> Sure. I was thinking something like this
> 
> 5.1.
> 5.1.1. Generic Procedures
> - Generating a DH ephemeral
> - Verifying the peer's ephemeral
> - Computing the shared key
> - Verifying the output
> - Computing the key hash and MIC
> 
> 5.1.2. GSS Key Exchange Steps
> Client calls GSS_Init_sec_context()... [5.1.1 step 2]
> Server verifies Q_C and calls GSS_Accept_sec_context [5.1.1, step 4]
> Server generates ephemeral and computes the shared key [reduced 5.1.1
> step 5]
> Server call to GSS_Accept_sec_context [5.1.1 step 6]
> Client verifies Q_S and computes the shared key [5.1.1 step 7++]
> Client calls GSS_VErifyMIC [5.1.1. step 8]
> 
> It's hard for me to see if you caught everything else. If you want to
> submit a new draft, I can take a look, either before or after this
> change.
> 
> -Ekr
> 
> 
> 
> 
> 
> 
> On Wed, May 30, 2018 at 5:35 AM, Simo Sorce <[email-masked]>
> wrote:
> > On Wed, 2018-05-30 at 12:25 +0200, Hubert Kario wrote:
> > > On Tuesday, 29 May 2018 21:27:34 CEST Eric Rescorla wrote:
> > > > On Mon, May 21, 2018 at 10:27 AM, Simo Sorce <[email-masked]
> > > wrote:
> > > > > On Fri, 2018-05-18 at 14:12 -0700, Eric Rescorla wrote:
> > > > > > These changes look fine, though they only address some of
> > my comments.
> > > > > 
> > > > > Just for clarity, is the change to describe the whole DH
> > exchange in
> > > > > one place what you see missing ? Is that a deal breaker ?
> > > > > Anything else ?
> > > > 
> > > > That and the repeated text that is the same for each group.
> > > 
> > > the fix for repeated text about groups is already merged to
> > master, for ECDHE: 
> > > https://github.com/simo5/ietf/blob/eb03480d5c49e7340302e4974435f3
> > 82ba26a911/
> > > draft-ietf-curdle-gss-keyex-sha2.xml#L537-L553
> > > and for FFDHE:
> > > https://github.com/simo5/ietf/blob/eb03480d5c49e7340302e4974435f3
> > 82ba26a911/
> > > draft-ietf-curdle-gss-keyex-sha2.xml#L148-L164
> > 
> > Thanks Hubert.
> > 
> > Eric,
> > it be nice if you could give guidance on how you would like to see
> > the
> > DH exchange explanation changed, assuming that's the only thing of
> > concern left for you, feel free to point out anything else as well.
> > 
> > If you prefer to have a new draft submitted, with the changes
> > above, as
> > a baseline for further discussion, I can submit one.
> > 
> > Simo.
> 
> _______________________________________________
> Curdle mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/curdle